CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

The Media Pixabay module adds a new Pixabay widget for the Entity browser. When images are selected in the widget,
they are also added to your media repository.

You can search for images from Pixabay through the entity browser and save them
as a media type with the image source plugin in your media repository and add them directly to entities. This module
is ideal for bloggers, agencies, and portals who need royalty-free images through the Drupal Entity browser.

 * For more information on Pixabay please visit this page:
   https://pixabay.com/en/service/faq/

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/media_pixabay

 * To submit bug reports and feature suggestions, or track changes:
   https://www.drupal.org/project/issues/media_pixabay


REQUIREMENTS
------------

This module requires the following modules:

 * Entity Browser (https://www.drupal.org/project/entity_browser)
 * Media (https://www.drupal.org/project/media)


INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module. Visit
   https://www.drupal.org/docs/8/extending-drupal-8/installing-drupal-8-modules for further information.


CONFIGURATION
-------------

    1. Register at Pixabay.com and obtain a Pixabay API key:
       https://pixabay.com/en/accounts/register/.

    2. Navigate to Administration->Configuration->Media->Pixabay Media
       (`admin/config/media/pixabay`) and add your Pixabay API key.

    3. Navigate to Administration->Configuration->Content Authoring->
       Entity Browser (`/admin/config/content/entity_browser`) and click
       'Add Entity browser'.

    4. Complete the required fields and click Save.

    5. Navigate to Administration->Configuration->Content Authoring->
       Entity Browser->Widget Settings
       (`/admin/config/content/entity_browser/{entity_browser_machine_name}
       /widgets`) and select 'Pixabay' from the 'Add widget plugin' dropdown.
       Configure the operations.

    6. Click Save to save the Entity Browser Pixabay plugin. When using the entity browser on
        entity fields, the field should be of the type entity reference to media. Image entity
        reference is not supported. Also only one Pixabay widget per entity browser is supported.


MAINTAINERS
-----------

Current maintainers:
  * Domen Slogar - https://www.drupal.org/u/slogar32 (Drupal 8)

Supporting organizations:
  * Agiledrop - https://www.drupal.org/agiledrop (Drupal 8 port)
