/**
 * @file
 * Main module JS file.
 */

(function (Drupal, $) {
  'use strict';
  Drupal.behaviors.mediaPixabay = {
    attach: function (context) {
      var eventType = 'click';
      if (window.PointerEvent) {
        eventType = 'pointerup';
      }

      $(document, context).on('keydown', '#pixabay-search-input', function (event) {
        if (event.keyCode === 13) {
          event.preventDefault();
          $('#pixabay-search', context).click();
        }
      });

      var submitButton = '#pixabay-submit-entities';
      var imageWrapper = '.pixabay-image-wrapper';
      $(document).on(eventType, imageWrapper, function () {
        $(this).find(".pixabay-image-check").click();
        if ($(this).hasClass('pixabay-selected-image')) {
          $(this).removeClass('pixabay-configuration-error');
        }
        $(this).toggleClass('pixabay-selected-image');
      });
      $(document).on(eventType, submitButton, function () {
        $(imageWrapper).removeClass('pixabay-configuration-error');
      });
    }
  };
})(Drupal, jQuery, drupalSettings);
